Lists all beacon deposits
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/beacon/deposits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/beacon/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/beacon/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"amount": "<string>",
"block_hash": "<string>",
"block_number": 123,
"block_timestamp": "2023-11-07T05:31:56Z",
"from_address": {
"ens_domain_name": "<string>",
"hash": "<string>",
"implementations": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"is_contract": true,
"is_scam": true,
"is_verified": true,
"metadata": {
"tags": [
{
"meta": {},
"name": "<string>",
"ordinal": 123,
"slug": "<string>",
"tagType": "<string>"
}
]
},
"name": "<string>",
"private_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"public_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"watchlist_names": [
{
"display_name": "<string>",
"label": "<string>"
}
]
},
"index": 123,
"pubkey": "<string>",
"signature": "<string>",
"status": {
"finished_past_indexing": true
},
"transaction_hash": "<string>",
"withdrawal_credentials": "<string>",
"withdrawal_address": {
"ens_domain_name": "<string>",
"hash": "<string>",
"implementations": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"is_contract": true,
"is_scam": true,
"is_verified": true,
"metadata": {
"tags": [
{
"meta": {},
"name": "<string>",
"ordinal": 123,
"slug": "<string>",
"tagType": "<string>"
}
]
},
"name": "<string>",
"private_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"public_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"watchlist_names": [
{
"display_name": "<string>",
"label": "<string>"
}
]
}
}
],
"next_page_params": {
"index": 123
}
}{
"message": "Unverified email"
}beacon_deposits
Lists all beacon deposits
Retrieves a paginated list of all beacon deposits.
GET
/
{chain_id}
/
api
/
v2
/
beacon
/
deposits
Lists all beacon deposits
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
The ID of the blockchain
Query Parameters
Number of items per page
Required range:
x >= 1Deposit index for paging
Required range:
0 <= x <= 9223372036854776000Was this page helpful?
List recent Parent chain to Rollup messages on the main page.
Previous
Gets total count of beacon deposits
Next
⌘I